function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
// 内库使用-start
import DateUtil from "./../../../utils/DateUtil";
// 内库使用-end

/* 测试使用-start
import { DateUtil } from 'seedsui-react'
测试使用-end */

// 边界处理: 00:00:00到23:59:59
function updateRangeValue() {
  var rangeDates = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var type = arguments.length > 1 ? arguments[1] : undefined;
  if (!Array.isArray(rangeDates) || rangeDates.length !== 2) {
    return null;
  }
  var _rangeDates = _slicedToArray(rangeDates, 2),
    startDate = _rangeDates[0],
    endDate = _rangeDates[1];
  if (!(startDate instanceof Date) || !(endDate instanceof Date)) {
    return rangeDates;
  }
  var adjustStart = function adjustStart(date) {
    return DateUtil.startOrEnd(date, type, 'start');
  };
  var adjustEnd = function adjustEnd(date) {
    return DateUtil.startOrEnd(date, type, 'end');
  };

  // endDate greater than startDate, transposition
  if (DateUtil.startOrEnd(endDate, type).getTime() < DateUtil.startOrEnd(startDate, type).getTime()) {
    return [adjustEnd(startDate), adjustStart(endDate)];
  }

  // startDate greater than endDate
  return [adjustStart(startDate), adjustEnd(endDate)];
}
export default updateRangeValue;